org.apache.poi.ss.formula.functions

## Class PPMT

- java.lang.Object
- - org.apache.poi.ss.formula.functions.NumericFunction
  - - org.apache.poi.ss.formula.functions.PPMT

- All Implemented Interfaces:
    Function

      public class PPMT
      extends NumericFunction

  Compute the interest portion of a payment.
  Author:
    Mike Argyriou micharg@gmail.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.formula.functions.NumericFunction

      `NumericFunction.OneArg, NumericFunction.TwoArg`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.functions.NumericFunction

      `ABS, ACOS, ACOSH, ASIN, ASINH, ATAN, ATAN2, ATANH, CEILING, COMBIN, COS, COSH, DEGREES, DOLLAR, EXP, FACT, FLOOR, INT, LN, LOG, LOG10, MOD, PI, POISSON, POWER, RADIANS, RAND, ROUND, ROUNDDOWN, ROUNDUP, SIGN, SIN, SINH, SQRT, TAN, TANH, TRUNC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPMT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(ValueEval[] args, int srcCellRow, int srcCellCol)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.NumericFunction

      `checkValue, evaluate, singleOperandEvaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPMT

          public PPMT()

  - ### Method Detail

    - #### eval

          public double eval(ValueEval[] args,
                             int srcCellRow,
                             int srcCellCol)
                      throws EvaluationException

      Specified by:
        `eval` in class `NumericFunction`
      Throws:
        `EvaluationException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.